org.apache.jmeter.protocol.http.correlation

## Class CorrelationExtractor

- java.lang.Object
- - org.apache.jmeter.protocol.http.correlation.CorrelationExtractor

-     public class CorrelationExtractor
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExtractorData` | `createExtractor(ExtractorCreatorData extractorCreatorData)` Create the extractor based on the content type.
    `static TestElement` | `createExtractorTestElement(GuiPackage guiPackage, String extractorTypeClassName, ExtractorData extractor)` Create the extractor TestElement based on the extractor class.
    `static List<ExtractorData>` | `getListOfExtractor()` Get the list of Map containing Maps for extractors
    `static void` | `readResponse(List<String> parameters, Map<String,String> parameterMap)` Read the response and create the extractor tags.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readResponse

          public static void readResponse(List<String> parameters,
                                          Map<String,String> parameterMap)

      Read the response and create the extractor tags.
      Parameters:
        `parameters` - List of correlation candidate parameters
        `parameterMap` - Map containing correlation candidates and their values

    - #### createExtractor

          public static ExtractorData createExtractor(ExtractorCreatorData extractorCreatorData)

      Create the extractor based on the content type. eg. if contentType:text/html then create the HTML extractor.
      Parameters:
        `extractorCreatorData` - ExtractorCreatorData object.
      Returns:
        ExtractorData object or null

    - #### createExtractorTestElement

          public static TestElement createExtractorTestElement(GuiPackage guiPackage,
                                                               String extractorTypeClassName,
                                                               ExtractorData extractor)

      Create the extractor TestElement based on the extractor class.
      Parameters:
        `guiPackage` - Current TestPlan GUI object
        `extractorTypeClassName` - Extractor Type class name
        `extractor` - ExtractorData object
      Returns:
        TestElement object if extractor created else null

    - #### getListOfExtractor

          public static List<ExtractorData> getListOfExtractor()

      Get the list of Map containing Maps for extractors
      Returns:
        listOfExtractors

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.